# Authentication with face/selfie image

`POST /omni/onboarding-authentications/authenticate/third-party` · [developer.incode.com ↗](https://developer.incode.com/reference/introduction)

> Authentication with face/selfie image

Authenticate user by comparing base64 image from request and user's existing face template. In case of One to one authentication, user is first found in DB by hint from request. At least one of criteria parameter must be sent in request. In case of One to N authentication, hint is not used. In case face doesn't match error response is returned.

## Authentication

| Header | Required | Notes |
|---|---|---|
| `x-api-key` | yes | API key for the region/environment. |
| `api-version` | yes | API version, defaults to `1.0`. |

**Category:** Onboarding authentication

## Sources

- Public reference: <https://developer.incode.com/reference/introduction>
- Reconstructed from the Incode Omni OpenAPI spec (operation `authenticate`); see the Implementation pane for source & tests.

